package com.bonus.bracelet.service;



import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.common.entity.bracelet.vo.BaseProject;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 项目部信息 服务层
 * 
 * @author bonus
 */
public interface IBaseProjectService
{
    /**
     * 查询项目信息集合
     *
     * @param project 项目信息
     * @return 项目列表
     */
    public List<BaseProject> selectProjectList(BaseProject project);

    public AjaxResult selectProjectById(Integer projectId);

    public boolean checkProjectDeptNameUnique(BaseProject project);

    public boolean checkProjectDeptNameUniqueAdd(BaseProject project);

    public AjaxResult insertProject( MultipartFile[] file, String params);

    /**
     * 修改保存项目信息
     * @param file
     * @param params
     * @return
     */
    public AjaxResult updateProject(MultipartFile[] file, String params);

    public int deleteProjectByIds(int[] projectIds);


}
